"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const load_typedefs_1 = require("./load-typedefs");
const graphql_1 = require("graphql");
const documents_1 = require("./documents");
const schema_merging_1 = require("@graphql-toolkit/schema-merging");
async function loadSchemaUsingLoaders(loaders, pointToSchema, options, cwd = process.cwd()) {
    const types = await load_typedefs_1.loadTypedefsUsingLoaders(loaders, pointToSchema, options, documents_1.OPERATION_KINDS, cwd);
    return graphql_1.buildASTSchema(schema_merging_1.mergeTypeDefs(types.map(m => m.document)));
}
exports.loadSchemaUsingLoaders = loadSchemaUsingLoaders;
//# sourceMappingURL=schema.js.map